aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/e_repository_TEST_5_setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'paludis/repositories/e/e_repository_TEST_5_setup.sh')
-rwxr-xr-xpaludis/repositories/e/e_repository_TEST_5_setup.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/paludis/repositories/e/e_repository_TEST_5_setup.sh b/paludis/repositories/e/e_repository_TEST_5_setup.sh
index d0ef2f2cb..aa68a2764 100755
--- a/paludis/repositories/e/e_repository_TEST_5_setup.sh
+++ b/paludis/repositories/e/e_repository_TEST_5_setup.sh
@@ -633,6 +633,41 @@ src_install() {
}
END
+mkdir -p "cat/default_src_install" || exit 1
+cat << 'END' > cat/default_src_install/default_src_install-5.ebuild || exit 1
+EAPI="5"
+DESCRIPTION="The Description"
+HOMEPAGE="http://example.com/"
+SRC_URI=""
+SLOT="0"
+IUSE=""
+LICENSE="GPL-2"
+KEYWORDS="test"
+
+S=${WORKDIR}
+
+src_unpack() {
+ echo testing.txt >testing.txt || die
+ echo testing.html >testing.html || die
+ cat <<'EOF' >Makefile || die
+all: ; echo monkey
+install: ; echo monkey >$(DESTDIR)/monkey
+EOF
+}
+
+DOCS="testing.txt"
+HTML_DOCS="testing.html"
+
+pkg_preinst() {
+ [[ -f ${D}/monkey ]] || die monkey
+ d=${D}/usr/share/doc/${PF}
+ [[ -d ${d} ]] || die ${d}
+ [[ -f ${d}/testing.txt ]] || die testing.txt
+ [[ -d ${d}/html ]] && die html
+ [[ -f ${d}/html/testing.html ]] && die html/testing.html
+}
+END
+
mkdir -p "cat/subslots" || exit 1
cat << 'END' > cat/subslots/subslots-5.ebuild || exit 1
EAPI="5"